package com.iformall.enums;

/**
 * 消息内容文本替换
 * 用于A端展示
 */
public enum EnumMsgModelReplace {

    R1("{merName}", "【商户名称】"),
    R2("{price}", "【金额】"),
    R3("{date}", "【日期】"),
    R4("{title}", "【券名称】"),
    R10("{time}", "【时间】"),
    R5("{merchant}", "【商户名称】"),
    R6("{account}", "【账号】"),
    R11("{person}", "【用户昵称】"),
    R7("{party}", "【活动名称】"),
    R8("{userName}", "【成员】"),
    R9("{toUserName}", "【下个审批人】"),
    R12("{type}", "【任务类型】"),
    R13("{name}", "【任务名称】"),
    R14("{page}", "【管理端】"),
    R15("{bustype}", "【任务类型】"),
    R16("{contract}", "【合同编号】"),
    ;

    public static EnumMsgModelReplace getEnum(Integer code) {
        for (EnumMsgModelReplace value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private String code;
    private String message;

    EnumMsgModelReplace(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
